summaryrefslogtreecommitdiff
path: root/bin/extra
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-06-18 23:05:23 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-06-18 23:05:23 +0200
commit11ee207cc10e72aa96fad4715b14a84c686ad480 (patch)
treebc98d60bb59ab0fdc183c6673fe8fe143fd367bc /bin/extra
parent305c8e8ff1fc4a76fb42151105e119e8266df57c (diff)
parent8c5d85923a970bd60657848e1c2c6f627c4329d9 (diff)
Merge branch 'main' of db:dotfiles
Diffstat (limited to 'bin/extra')
-rwxr-xr-xbin/extra/ehbvpn17
-rwxr-xr-xbin/extra/fzwin5
2 files changed, 14 insertions, 8 deletions
diff --git a/bin/extra/ehbvpn b/bin/extra/ehbvpn
index 5d5643c..d3e587c 100755
--- a/bin/extra/ehbvpn
+++ b/bin/extra/ehbvpn
@@ -5,17 +5,19 @@ then
exit 1
fi
-which pptpsetup > /dev/null 2>&1 ||
+if ! which pptpsetup > /dev/null 2>&1
+then
echo "Please install pptpsetup..." >&2
+ exit 1
+fi
name="ehb_tunnel"
ip="193.190.238.38"
-pass="e-mails/luca.raymaekers@student.ehb.be"
-username="$(su aluc -c "pass show $pass" |
- grep "^login:" |
- cut -f 2- -d ' ')"
-password="$(su aluc -c "pass show $pass" |
- head -1)"
+read -p "username: " username
+stty -echo # disable terminal output
+read -p "password: " password
+stty echo
+echo
pptpsetup \
--create "$name" \
@@ -28,4 +30,3 @@ Created tunnel: $name
activate it with
# pon ehb_tunnel debug dump logfd 2 nodetach
EOF
-
diff --git a/bin/extra/fzwin b/bin/extra/fzwin
new file mode 100755
index 0000000..4e1cc79
--- /dev/null
+++ b/bin/extra/fzwin
@@ -0,0 +1,5 @@
+#!/bin/sh
+hyprctl clients -j |
+ jq '.[].pid' |
+ fzf --preview "hyprctl clients -j |
+ jq '.[] | select(.pid == {}) | {class, title, workspace, xwayland}'"